Public Member Functions | Data Fields

# NetworkCompanyPasswordWindow Struct Reference

Inheritance diagram for NetworkCompanyPasswordWindow:

## Public Member Functions
| NetworkCompanyPasswordWindow (const WindowDesc *desc, Window *parent)
void | OnOk ()
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
## Data Fields
QueryString | password_editbox
| Password editbox.

## Detailed Description

Definition at line 2154 of file network_gui.cpp.

## Member Function Documentation

virtual void NetworkCompanyPasswordWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 2178 of file network_gui.cpp.

References Window::SetDirty(), Window::ToggleWidgetLoweredState(), WID_NCP_CANCEL, WID_NCP_OK, and WID_NCP_SAVE_AS_DEFAULT_PASSWORD.

The documentation for this struct was generated from the following file:

- src/network/network_gui.cpp